# $Id: common-decl.mk 171 2024-06-07 09:29:26Z nishi $

CC = cc
SHCC = cc
AR = ar
YACC = yacc
LEX = lex
AR_ARGS = rcs \$$@
RANLIB = ranlib
WINDRES = windres
CFLAGS = -g -std=c99 -D_DEFAULT_SOURCE $(DEBUGFLAGS)
LDFLAGS = -L`pwd`/Library
YFLAGS = -d -t -y
LFLAGS =
LIBS =
LIB_PREFIX = lib
LIB_SUFFIX = .so
STATICLIB_PREFIX = lib
STATICLIB_SUFFIX = .a
EXEC_SUFFIX =
PLATFORM_M = `uname -m`
PLATFORM_P = `uname -p | sed -E "s/[ \\(\\)]/-/g"`
LINK_LIB = ../Library/$(STATICLIB_PREFIX)dataworks$(STATICLIB_SUFFIX)
SERVER = ./Server
SERVER_MODULE = tcpip.o
VERSION = `cat Library/dataworks.c | grep " dataworks_version " | grep -Eo '[0-9]+\.[0-9]+\.[0-9]+(-[a-zA-Z0-9]+)?'`

COMPILE_FLAGS = CC="$(CC)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)" LIB_PREFIX="$(LIB_PREFIX)" LIB_SUFFIX="$(LIB_SUFFIX)" EXEC_SUFFIX="$(EXEC_SUFFIX)" PLATFORM_M="$(PLATFORM_M)" PLATFORM_P="$(PLATFORM_P)" STATICLIB_PREFIX="$(STATICLIB_PREFIX)" STATICLIB_SUFFIX="$(STATICLIB_SUFFIX)" AR="$(AR)" RANLIB="$(RANLIB)" SHCC="$(SHCC)" LINK_LIB="$(LINK_LIB)" AR_ARGS="$(AR_ARGS)" WINDRES="$(WINDRES)" YACC="$(YACC)" LEX="$(LEX)" LFLAGS="$(LFLAGS)" YFLAGS="$(YFLAGS)" SERVER_MODULE="$(SERVER_MODULE)"
